ProteinTools (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.ProteinTools class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq
Class ProteinTools

    java.lang.Object
      org.biojava.bio.seq.ProteinTools

    public class ProteinTools

extends Object

The central port-of-call for all information and functionality specific to SymbolLists over the protein alphabet.

Author:
  Matthew Pocock, Greg Cox, Thomas Down, MarkSchreiber, Jonathan Warren

Method Summary
`static AtomicSymbol` | `a()` Returns the `AtomicSymbol` for the amino acid Alanine
`static AtomicSymbol` | `ala()` Returns the `AtomicSymbol` for the amino acid Alanine (A)
`static AtomicSymbol` | `arg()` Returns the `AtomicSymbol` for the amino acid Arginine (R)
`static AtomicSymbol` | `asn()` Returns the `AtomicSymbol` for the amino acid Asparagine (N)
`static AtomicSymbol` | `asp()` Returns the `AtomicSymbol` for the amino acid Aspartic Acid (D)
`static AtomicSymbol` | `c()` Returns the `AtomicSymbol` for the amino acid Cysteine
`static GappedSequence` | `createGappedProteinSequence(String theProtein, String name)` Get a new protein as a GappedSequence
`static SymbolList` | `createProtein(String theProtein)` Return a new Protein SymbolList for protein.
`static Sequence` | `createProteinSequence(String protein, String name)` Return a new PROTEIN Sequence for protein.
`static AtomicSymbol` | `cys()` Returns the `AtomicSymbol` for the amino acid Cysteine (C)
`static AtomicSymbol` | `d()` Returns the `AtomicSymbol` for the amino acid Aspartic Acid
`static AtomicSymbol` | `e()` Returns the `AtomicSymbol` for the amino acid Glutamic Acid
`static AtomicSymbol` | `f()` Returns the `AtomicSymbol` for the amino acid Phenylalanine
`static AtomicSymbol` | `g()` Returns the `AtomicSymbol` for the amino acid Glycine
`static FiniteAlphabet` | `getAlphabet()` Gets the protein alphabet
`static SymbolPropertyTable` | `getSymbolPropertyTable(String name)`
`static FiniteAlphabet` | `getTAlphabet()` Gets the protein alphabet including the translation termination symbols
`static AtomicSymbol` | `gln()` Returns the `AtomicSymbol` for the amino acid Glutamine (Q)
`static AtomicSymbol` | `glu()` Returns the `AtomicSymbol` for the amino acid Glutamic Acid (E)
`static AtomicSymbol` | `gly()` Returns the `AtomicSymbol` for the amino acid Glycine (G)
`static AtomicSymbol` | `h()` Returns the `AtomicSymbol` for the amino acid Histidine
`static AtomicSymbol` | `his()` Returns the `AtomicSymbol` for the amino acid Histidine (H)
`static AtomicSymbol` | `i()` Returns the `AtomicSymbol` for the amino acid Isoleucine
`static AtomicSymbol` | `ile()` Returns the `AtomicSymbol` for the amino acid Isoleucine (I)
`static AtomicSymbol` | `k()` Returns the `AtomicSymbol` for the amino acid Lysine
`static AtomicSymbol` | `l()` Returns the `AtomicSymbol` for the amino acid Leucine
`static AtomicSymbol` | `leu()` Returns the `AtomicSymbol` for the amino acid Leucine (L)
`static AtomicSymbol` | `lys()` Returns the `AtomicSymbol` for the amino acid Lysine (K)
`static AtomicSymbol` | `m()` Returns the `AtomicSymbol` for the amino acid Methionine
`static AtomicSymbol` | `met()` Returns the `AtomicSymbol` for the amino acid Methionine (M)
`static AtomicSymbol` | `n()` Returns the `AtomicSymbol` for the amino acid Asparagine
`static AtomicSymbol` | `p()` Returns the `AtomicSymbol` for the amino acid Proline
`static AtomicSymbol` | `phe()` Returns the `AtomicSymbol` for the amino acid Phenylalanine (F)
`static AtomicSymbol` | `pro()` Returns the `AtomicSymbol` for the amino acid Proline (P)
`static AtomicSymbol` | `q()` Returns the `AtomicSymbol` for the amino acid Glutamine
`static AtomicSymbol` | `r()` Returns the `AtomicSymbol` for the amino acid Arginine
`static AtomicSymbol` | `s()` Returns the `AtomicSymbol` for the amino acid Serine
`static AtomicSymbol` | `sec()` Returns the `AtomicSymbol` for the amino acid Selenocysteine (U)
`static AtomicSymbol` | `ser()` Returns the `AtomicSymbol` for the amino acid Serine (S)
`static AtomicSymbol` | `t()` Returns the `AtomicSymbol` for the amino acid Threonine
`static AtomicSymbol` | `ter()` Returns the `AtomicSymbol` for the termination (*) placeholder
`static AtomicSymbol` | `thr()` Returns the `AtomicSymbol` for the amino acid Threonine (T)
`static AtomicSymbol` | `trp()` Returns the `AtomicSymbol` for the amino acid Tryptophan (W)
`static AtomicSymbol` | `tyr()` Returns the `AtomicSymbol` for the amino acid Tyrosine (Y)
`static AtomicSymbol` | `u()` Returns the `AtomicSymbol` for the amino acid Selenocysteine
`static AtomicSymbol` | `v()` Returns the `AtomicSymbol` for the amino acid Valine
`static AtomicSymbol` | `val()` Returns the `AtomicSymbol` for the amino acid Valine (V)
`static AtomicSymbol` | `w()` Returns the `AtomicSymbol` for the amino acid Tryptophan
`static AtomicSymbol` | `y()` Returns the `AtomicSymbol` for the amino acid Tyrosine

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAlphabet

    public static final FiniteAlphabet getAlphabet()

  Gets the protein alphabet

### getTAlphabet

    public static final FiniteAlphabet getTAlphabet()

  Gets the protein alphabet including the translation termination symbols

### getSymbolPropertyTable

    public static final SymbolPropertyTable getSymbolPropertyTable(String name)

### createProtein

    public static SymbolList createProtein(String theProtein)
                                    throws IllegalSymbolException

  Return a new Protein SymbolList for protein.

  Parameters:
    `theProtein` - a String to parse into Protein
  Returns:
    a SymbolList created form Protein
  Throws:
    `IllegalSymbolException` - if dna contains any non-Amino Acid characters.

### createGappedProteinSequence

    public static GappedSequence createGappedProteinSequence(String theProtein,
                                                             String name)
                                                      throws IllegalSymbolException

  Get a new protein as a GappedSequence

  Throws:
    `IllegalSymbolException`

### createProteinSequence

    public static Sequence createProteinSequence(String protein,
                                                 String name)
                                          throws IllegalSymbolException

  Return a new PROTEIN Sequence for protein.

  Parameters:
    `protein` - a String to parse into PROTEIN
    `name` - a String to use as the name
  Returns:
    a Sequence created form protein
  Throws:
    `IllegalSymbolException` - if protein contains any non-PROTEIN characters

### ala

    public static AtomicSymbol ala()

  Returns the `AtomicSymbol` for the amino acid Alanine (A)

### a

    public static AtomicSymbol a()

  Returns the `AtomicSymbol` for the amino acid Alanine

### arg

    public static AtomicSymbol arg()

  Returns the `AtomicSymbol` for the amino acid Arginine (R)

### r

    public static AtomicSymbol r()

  Returns the `AtomicSymbol` for the amino acid Arginine

### asn

    public static AtomicSymbol asn()

  Returns the `AtomicSymbol` for the amino acid Asparagine (N)

### n

    public static AtomicSymbol n()

  Returns the `AtomicSymbol` for the amino acid Asparagine

### asp

    public static AtomicSymbol asp()

  Returns the `AtomicSymbol` for the amino acid Aspartic Acid (D)

### d

    public static AtomicSymbol d()

  Returns the `AtomicSymbol` for the amino acid Aspartic Acid

### cys

    public static AtomicSymbol cys()

  Returns the `AtomicSymbol` for the amino acid Cysteine (C)

### c

    public static AtomicSymbol c()

  Returns the `AtomicSymbol` for the amino acid Cysteine

### gln

    public static AtomicSymbol gln()

  Returns the `AtomicSymbol` for the amino acid Glutamine (Q)

### q

    public static AtomicSymbol q()

  Returns the `AtomicSymbol` for the amino acid Glutamine

### glu

    public static AtomicSymbol glu()

  Returns the `AtomicSymbol` for the amino acid Glutamic Acid (E)

### e

    public static AtomicSymbol e()

  Returns the `AtomicSymbol` for the amino acid Glutamic Acid

### gly

    public static AtomicSymbol gly()

  Returns the `AtomicSymbol` for the amino acid Glycine (G)

### g

    public static AtomicSymbol g()

  Returns the `AtomicSymbol` for the amino acid Glycine

### his

    public static AtomicSymbol his()

  Returns the `AtomicSymbol` for the amino acid Histidine (H)

### h

    public static AtomicSymbol h()

  Returns the `AtomicSymbol` for the amino acid Histidine

### ile

    public static AtomicSymbol ile()

  Returns the `AtomicSymbol` for the amino acid Isoleucine (I)

### i

    public static AtomicSymbol i()

  Returns the `AtomicSymbol` for the amino acid Isoleucine

### leu

    public static AtomicSymbol leu()

  Returns the `AtomicSymbol` for the amino acid Leucine (L)

### l

    public static AtomicSymbol l()

  Returns the `AtomicSymbol` for the amino acid Leucine

### lys

    public static AtomicSymbol lys()

  Returns the `AtomicSymbol` for the amino acid Lysine (K)

### k

    public static AtomicSymbol k()

  Returns the `AtomicSymbol` for the amino acid Lysine

### met

    public static AtomicSymbol met()

  Returns the `AtomicSymbol` for the amino acid Methionine (M)

### m

    public static AtomicSymbol m()

  Returns the `AtomicSymbol` for the amino acid Methionine

### phe

    public static AtomicSymbol phe()

  Returns the `AtomicSymbol` for the amino acid Phenylalanine (F)

### f

    public static AtomicSymbol f()

  Returns the `AtomicSymbol` for the amino acid Phenylalanine

### pro

    public static AtomicSymbol pro()

  Returns the `AtomicSymbol` for the amino acid Proline (P)

### p

    public static AtomicSymbol p()

  Returns the `AtomicSymbol` for the amino acid Proline

### ser

    public static AtomicSymbol ser()

  Returns the `AtomicSymbol` for the amino acid Serine (S)

### s

    public static AtomicSymbol s()

  Returns the `AtomicSymbol` for the amino acid Serine

### thr

    public static AtomicSymbol thr()

  Returns the `AtomicSymbol` for the amino acid Threonine (T)

### t

    public static AtomicSymbol t()

  Returns the `AtomicSymbol` for the amino acid Threonine

### trp

    public static AtomicSymbol trp()

  Returns the `AtomicSymbol` for the amino acid Tryptophan (W)

### w

    public static AtomicSymbol w()

  Returns the `AtomicSymbol` for the amino acid Tryptophan

### tyr

    public static AtomicSymbol tyr()

  Returns the `AtomicSymbol` for the amino acid Tyrosine (Y)

### y

    public static AtomicSymbol y()

  Returns the `AtomicSymbol` for the amino acid Tyrosine

### val

    public static AtomicSymbol val()

  Returns the `AtomicSymbol` for the amino acid Valine (V)

### v

    public static AtomicSymbol v()

  Returns the `AtomicSymbol` for the amino acid Valine

### sec

    public static AtomicSymbol sec()

  Returns the `AtomicSymbol` for the amino acid Selenocysteine (U)

### u

    public static AtomicSymbol u()

  Returns the `AtomicSymbol` for the amino acid Selenocysteine

### ter

    public static AtomicSymbol ter()

  Returns the `AtomicSymbol` for the termination (*) placeholder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD